Create a VisualEditor plugin tool to add/edit Poem blocks
OpenPublic

Description

<poem>....</poem> is unparsed but shown as plain wikitext:
https://en.wikipedia.org/wiki/User:Raymond/poem


Version: unspecified
Severity: enhancement
URL: https://en.wikipedia.org/wiki/User:Raymond/poem

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz43120.
Raymond created this task.Via LegacyDec 14 2012, 10:10 AM
TTO added a comment.Via ConduitJan 12 2014, 10:16 AM

This is not a bug/enhancement in the Poem extension itself, so I'm punting back to VisualEditor.

If I've got this wrong, please don't move the bug back to Poem, as this component is hopefully going to be removed soon.

Jdforrester-WMF added a comment.Via ConduitJan 12 2014, 11:05 PM

(In reply to comment #1)

This is not a bug/enhancement in the Poem extension itself,

False. The Poem extension fails to register a VisualEditor enhanced editor for itself. This is a problem with that extension. See also bug 43115, bug 43118, bug 43127, etc.

so I'm punting back to VisualEditor.

Why? It's not VisualEditor's problem that an extension hasn't been updated yet…

If I've got this wrong, please don't move the bug back to Poem, as this
component is hopefully going to be removed soon.

Please justify this.

All MW extensions that are deployed on the WMF cluster (and many that aren't) have a Bugzilla component, by policy. Are you saying that:

(a) you want us to remove this extension from the cluster,
(b) you want us to merge this extension into MW core, or
(c) you want us to break our existing policy for this extension?

TTO added a comment.Via ConduitJan 13 2014, 12:21 AM

(a) and (b), I guess. See bug 52061. I was going through a list of bugs in the Poem component, since they will all need to be moved once the change is merged (hoping it *is* merged, of course). Sorry if I'm getting too far ahead of myself, but this bug did seem like an odd one out, so I moved it out here.

(In reply to comment #2)

> so I'm punting back to VisualEditor.

Why? It's not VisualEditor's problem that an extension hasn't been updated
yet…

Well, if Poem is to become a MediaWiki core feature, then it will turn into something for the VE team to worry about.

Also, if I may point it out, the WikiHiero extension is seemingly supported in VisualEditor core. The extension itself knows nothing about VE. is that an anomaly?

Jdforrester-WMF added a comment.Via ConduitJan 13 2014, 12:30 AM

(In reply to comment #3)

(a) and (b), I guess. See bug 52061. I was going through a list of bugs in
the Poem component, since they will all need to be moved once the change
is merged (hoping it *is* merged, of course). Sorry if I'm getting too far
ahead of myself, but this bug did seem like an odd one out, so I moved it
out here.

Moving back to Poem, then. The bug can be moved the MediaWiki/editing or whatever later, when bug 52061 is closed-fixed.

(In reply to comment #2)
> > so I'm punting back to VisualEditor.
>
> Why? It's not VisualEditor's problem that an extension hasn't been updated
> yet…

Well, if Poem is to become a MediaWiki core feature, then it will turn into
something for the VE team to worry about.

No, not really. It'll remain the responsibility of some code's maintainer, whoever that is (you?). In the absence of an obvious maintainer, that's the "Platform team", which sucks, but is rather outwith this bug report.

The VE team build VE and some of the MW-specific VE tools. We're not going to make an editor for EasyTimeline, and we're not going to make one for Poem, for the same reason. :-)

Also, if I may point it out, the WikiHiero extension is seemingly supported
in VisualEditor core. The extension itself knows nothing about VE. is that
an anomaly?

Yes; the code's yet to be moved into that repo. Give me a spare 10 minutes. :-)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.